Rolling back to Lucid?

NoOp glgxg at sbcglobal.net
Thu Oct 14 22:52:31 UTC 2010


On 10/14/2010 02:11 PM, Ben Coleman wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> Well, we seem to have established that you can't upgrade an i586-class
> machine to Maverick (I wish this had been made more prominent in the
> Maverick announcements).  I now have a Lucid server machine that is
> part-way through an upgrade to Maverick.  Looks to me like libc6 is the
> first package to be upgraded, so no package other than libc6 should have
> been changed.  So, is there an easy way to roll this back to Lucid
> (things like set apt settings to point to Lucid instead of Maverick), or
> am I better off doing a wipe-and-reinstall?

If the update has not completed/failed, reset your /etc/apt/sources.list
back to lucid and:

$ sudo apt-get update
$ sudo apt-get install -f
$ sudo dpkg --configure -a
$ sudo apt-get uprade

Alternate is to do an in-place reinstall of lucid (do not format the
drive/partion).

... snip huge sig that isn't a -- sig.





More information about the ubuntu-users mailing list